*.kdev*
-libQZip.*
+libQtZip*.*
Makefile*
msmoke
msmoke.exe
cd src && $(QMAKE) $(QMAKEFLAGS) && $(MYMAKE)
zip:
- cd zip/src && $(QMAKE) $(QMAKEFLAGS) && $(MYMAKE)
+ cd zip && $(QMAKE) $(QMAKEFLAGS) && $(MYMAKE)
tzone:
cd tzone && $(QMAKE) $(QMAKEFLAGS) && $(MYMAKE)
-rm -rf `find $(SPREFIX) -name .svn`
clean:
- -rm -rf zip/Makefile* zip/libQZip* zip/src/.ctmp
+ -rm -rf zip/Makefile* zip/libQZip* zip/.ctmp
-rm -rf src/.ctmp src/Makefile* src/msmoke
-rm -rf src/wob www/inc/wob doc/wob wob/core*
$(MAKE) -C pack clean
- -rm -rf tzone/zoneinfo* tzone/libtzdata* tzone/Makefile* tzone/.ctmp
+ -rm -rf tzone/zoneinfo* tzone/libQtTzData* tzone/Makefile* tzone/.ctmp
-rm -rf doc/source-php doc/source-cpp
-rm -rf `find . -name '*~'`
-rm -rf `find . -name '*.bak'`
cp -a $(QTDIR)/lib/libQtGui.s* dist-cli/lib/magicsmoke2
cp -a $(QTDIR)/lib/libQtNetwork.s* dist-cli/lib/magicsmoke2
cp -a $(QTDIR)/lib/libQtXml.s* dist-cli/lib/magicsmoke2
+ cp -a tzone/libQtTzData.s* dist-cli/lib/magicsmoke2
+ cp -a zip/libQtZipHelper.s* dist-cli/lib/magicsmoke2
+ cp -a elam/libelam.s* dist-cli/lib/magicsmoke2
+ cp -a pack/qtbase/libqwbase.s* dist-cli/lib/magicsmoke2
cd dist-cli ; tar c . |gzip >../magicsmoke2-client.tar.gz
tgz-doc: PREFIX=dist-srv
-Subproject commit f1dbce1c0c2acf1dcd2eeea036b67064ae62ccd8
+Subproject commit 53c34c16932383dcd020fb3ec899820fc093fcd3
# Libraries for Magic Smoke by (c) Konrad Rosenbaum, 2007-2010
# ZIP library
-LIBS += -L../zip -lQZip
+LIBS += -L../zip -lQtZipHelper
INCLUDEPATH += ../zip/include
# PACK library
INCLUDEPATH += ../pack/qtbase/include
# Time Zone DB library
-LIBS += -L../tzone -ltzdata
+LIBS += -L../tzone -lQtTzData
INCLUDEPATH += ../tzone/include
# ELAM library
"<tr><td>Qt:<td>%11</tr>"
"<tr><td>ELAM:<td>%12</tr>"
"<tr><td>Time Zone Default:<td>%13 in directory %14<br/>version %15</tr>"
- "<tr><td>Time Zone Built-In:<td>%16</tr>"
+ "<tr><td>Time Zone Built-In:<td>%16 (library: %17)</tr>"
"</table>"
)
.arg(htmlize(MSInterface::staticVersionInfo(WOb::VersionRootURL))) // %1
.arg(unknown(tzf.dirName()))
.arg(unknown(tzf.version()))
.arg(TimeZoneLib::TZFile::builtinVersion()) //%16
+ .arg(TimeZoneLib::TZFile::libraryVersion()) //%17
);
mb.setStandardButtons(QMessageBox::Ok);
mb.exec();
--- /dev/null
+#!/bin/bash
+
+#helper script that makes sure the correct libs are included
+
+echo "MagicSmoke development wrapper at work..."
+
+#detect Qt
+#test "x$QTDIR" == x && {
+# which qmake >/dev/null && QTLIB=`qmake -query QT_INSTALL_LIBS` || QTLIB=/usr/local/Trolltech/Qt/lib
+#} || {
+# QTLIB=$QTDIR/lib
+#}
+#echo "Using Qt from $QTLIB"
+
+#export path...
+export LD_LIBRARY_PATH=${LD_LIBRARY_PATH:+$LD_LIBRARY_PATH:}../elam:../zip:../tzone:../pack/qtbase
+
+echo "Lib path: $LD_LIBRARY_PATH"
+
+exec ./msmoke "$@"
#CONFIG += release
CONFIG += debug
+#Localization
+TRANSLATIONS = \
+ smoke_de.ts \
+ smoke_de_SAX.ts \
+ smoke_en.ts
+
+#make sure the correct Qt DLLs are used
CONFIG += qt thread link_prl
QT += xml network script scripttools
contains(QT_MAJOR_VERSION,"5") {
QT += widgets printsupport
}
+#add the icon for windoze
win32-* {
#RC-File containing the icon:
RC_FILE += win.rc
MOC_DIR = .ctmp
RCC_DIR = .ctmp
-
+#main source files
SOURCES = main.cpp
HEADERS = main.h
INCLUDEPATH += .
+#images
RESOURCES += images/files.qrc
-TRANSLATIONS = \
- smoke_de.ts \
- smoke_de_SAX.ts \
- smoke_en.ts
-
-
+#libraries, modules, stuff...
include(libs.pri)
include(widgets/widgets.pri)
include(templates/templates.pri)
-Subproject commit b0c0a26fa8b498f2375c3bb20493e561be6aca36
+Subproject commit 968c00cf87fb14ec04c687ac8746cbefa8d9fb1a